#pragma once

namespace Gos2 {

class Debug : public GosDebug
{
public:
	static int				HandleError( int Flags, TCHAR *Text );

	static bool *			Cat( _TCHAR *pCategoryName );
	static void				EnableCat( bool *pCat );
	static void				DisableCat( bool *pCat );
	static void				Output( _TCHAR *pFmt,... );
    static void             OutputV( _TCHAR *pFmt, va_list arglist );
};

} using namespace Gos2;